Transfer Debit

This API is used to process transfer debit transactions in Credit+ Issuing system. It can also be consumed by the Acquiring institutions, if enabled through the requisite system parameter on processing center level.

NOTE: The API, if sent with Card Number Alias (CNA), will fetch the corresponding associated device for further processing only if DEVICE _STATUS_CODE = NORMAL (0) OR (DEVICE_STATUS_CODE = UPGRADE (9) AND UPGRADE_STATUS = 1).

HTTP Status and Response Status Matrix

  • HTTP Code: This is the response status code issued by a server in response to a client's request made to the server.
  • Error Code: This is the error code returned by Credit+ Issuing application in the ‘code’ field of the response message indicating if the request was processed successfully or failed.
  • Reason: This is the description of the error code returned by Credit+ Issuing application.
  • Details: This is the detailed description of the error code returned by Credit+ Issuing application
HTTP CodeError CodeReasonDetails
400997Transaction Type field is invalid.
400100Do Not Honour.
400-1Incorrect result size: expected 1, actual 0.
400991Form Factor Not Supported CNA.
400991Form Factor Not Supported CPI.
403900User Or Bank does not support API.
400119Transaction not permitted.
400200CAPTURE CARD.
400107REFER TO CARD ISSUER.
403900Bank Not Registered.
500INVCHA002Channel Error-Invalid channel - 21.
500INVCHA001Invalid channel - 21.
400997Channel field must be numeric.
400997Channel field value must have size 2.
400905Invalid CVV2, DOB, Expiry date or Old Pin.
400994Invalid Encryption-Algorithm header value.
400994Invalid Encryption Request Parameters.
400994Cryptography error.
500920PIN change operation is not permitted.
500TRANSACTION_PROCESSING_TIMEOUTThe transaction processing has got timed out. Please try after some time.A reversal entry would be created for the transaction only if the processing is successful.
500TRANSACTION_PROCESSING_FAILUREThe transaction cannot be processed. Please try after some time.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required
length ≤ 15

Card Acceptor ID, mandatory for Closed Loop Programs, no spaces allowed.

string
length ≤ 40

Merchant location, mandatory for Closed Loop Programs, no spaces allowed.

string
required
length ≤ 8

Card Acceptor terminal ID, mandatory for Closed Loop Programs, no spaces allowed.

string
required
length between 3 and 3

ISO Acquirer Country code of the transaction, not null.

string
required
length ≤ 11

Institution Code identifying the acquirer, not null.

string
required
length ≤ 12
^[0-9]{12}$

Billing amount in Numeric ISO amount format, must be positive, not null.

string
required
length between 3 and 3

Billing Currency Code in Numeric ISO Currency Code, not null.

string
required
length between 2 and 2

Network Code, e.g., '31' for Private Network API, must be configured for the institution, not null.

string
length ≤ 8
^[0-9]{8}$

Currency Conversion Rate for display purposes, must be numeric and greater than 0 if present.

string
length ≤ 10

Device Plan Code.

string
required
length between 3 and 3

POS Entry Mode as per Pine Labs card format (DE-22), not null.

string
required
length between 2 and 2

POS Pin Capture Mode as per Pine Labs card format (DE-26), not null.

string
required
length ≤ 999

Point of service Data as per Pine Labs card format (DE-61), not null.

string

Hex Encoded EMV Data as per Pine Labs card format.

string
required
length between 10 and 24

Device number, Card Pack ID, or Card Number Alias, not null, value should be as per formFactor selected.

string
length between 4 and 4

Expiry date of the device number in YYMM format, required if formFactorType is CRD.

string
enum
required
length between 3 and 3

Indicates the data in formFactor (CRD, CPI, CNA), not null.

Allowed:
string
required
length between 4 and 4

Merchant Category Code, not null.

string

Derived after decrypting sourceBlock.

string
enum
length between 1 and 1

Product type (Credit, Debit, Prepaid).

Allowed:
string
length ≤ 6

Program Code.

string
required
length between 12 and 12

Unique Authorization Reference Number (Reference Retrieval Number), not null.

string
length ≤ 9
^D[0-9]{8}$

Transaction fee if applied, format D12345678 where first character is D, remaining 8 characters are numeric.

string
required
length between 6 and 6

A number assigned by the originator of a transaction to uniquely identify a transaction throughout its life, not null.

string
required
length ≤ 12
^[0-9]{12}$

Transaction amount in Numeric ISO amount format, must be positive, not null.

string
required
length between 3 and 3

Transaction Currency Code in Numeric ISO Currency Code, not null.

string
required
length between 14 and 14
^[0-9]{14}$

Transaction local date and time in YYYYMMDDHHmmss format, not null.

string
required
length between 10 and 10
^[0-9]{10}$

Transaction time in GMT in MMDDhhmmss format, not null.

string
required
^[0-9]+$

Current UTC timestamp in milliseconds, used for AES encryption key expiration, not null.

Headers
string
^[a-zA-Z0-9-]{1,50}$

API Consumer must share Correlation-ID in HTTP header for API requests. The Correlation-ID must be unique for each request. It is recommended to generate a universally unique identifier (UUID) of length 32 or 36 that is compliant with RFC 4122. The maximum supported length is 50 alphanumeric characters. For example, ac97d177-9345-4934-8343-0f91a7a02836. If the Correlation-ID is not received in the incoming request, the system generates the UUID dynamically and assigns it to the request.

string
enum
required

API Consumer must share Encryption-Algorithm as a key (value: DES168) in HTTP header in order to encrypt the API requests.

Allowed:
Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json